
%if "%{?rhel}" == "6" 
%global _jarsign_opts --unsign=%{_javadir} 
%endif

%define section .Final
%define reltag _redhat_1
%define namedreltag -redhat-1
%global namedversion  %{version}%{?section}%{?namedreltag}

%global title JBossOSGi Framework

%bcond_without mead
%define _jarsign_opts --copy=%{_javadir} --unsign=%{_javadir}

%define maven_version 2.1.0.Final-redhat-1

Name: jbosgi-framework-core
Summary: JBossOSGi Framework
Version: 2.1.0
Release: 2%{?section}%{?reltag}%{?dist}
License: LGPLv2+
Group: Development/Libraries

%if %with mead
Source100: org.jboss.osgi.framework-jbosgi-framework-parent-2.1.0.Final-redhat-1-sources.zip
Source101: org.jboss.osgi.framework-jbosgi-framework-parent-2.1.0.Final-redhat-1-patches.zip
Source102: jbosgi-framework-parent-2.1.0.Final-redhat-1.pom
Source103: jbosgi-framework-core-2.1.0.Final-redhat-1-javadoc.jar
Source104: jbosgi-framework-core-2.1.0.Final-redhat-1.pom
Source105: jbosgi-framework-core-2.1.0.Final-redhat-1-sources.jar
Source106: jbosgi-framework-core-2.1.0.Final-redhat-1.jar
%endif


BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch

BuildRequires: unzip

Requires:       jpackage-utils
Requires(post):       jpackage-utils
Requires(postun):     jpackage-utils

%description
JBossOSGi Framework

%package javadoc
Summary:        Javadoc for %{title}
Group:          Development/Documentation

Requires:       jpackage-utils

%description javadoc
Javadoc for %{title}

%prep
                                                                                                     
%build
                                                                                                     
%install
rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_javadir}
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}

for artifactId in \
                  jbosgi-framework-parent \
                  jbosgi-framework-core \
              ; do
#poms
install -pD -T -m 644 %{_sourcedir}/${artifactId}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-${artifactId}.pom
%add_to_maven_depmap org.jboss.osgi.framework ${artifactId} %{namedversion} JPP ${artifactId}

#jars
if [ -e %{_sourcedir}/${artifactId}-%{namedversion}.jar ]; then
  install -pD -T -m 644 %{_sourcedir}/${artifactId}-%{namedversion}.jar %{buildroot}%{_javadir}/${artifactId}-%{namedversion}.jar
  (cd %{buildroot}%{_javadir} && ln -s ${artifactId}-%{namedversion}.jar ${artifactId}.jar)
fi

if [ -e %{_sourcedir}/${artifactId}-%{namedversion}-sources.jar ]; then
  install -pD -T -m 644 %{_sourcedir}/${artifactId}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/${artifactId}-%{namedversion}-sources.jar
  (cd %{buildroot}%{_javadir} && ln -s ${artifactId}-%{namedversion}-sources.jar ${artifactId}-sources.jar)
fi

#javadoc
if [ -e %{_sourcedir}/${artifactId}-%{namedversion}-javadoc.jar ]; then
  install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}/${artifactId}-%{namedversion}
  unzip -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}/${artifactId}-%{namedversion} %{_sourcedir}/${artifactId}-%{namedversion}-javadoc.jar
  rm -rf $RPM_BUILD_ROOT%{_javadocdir}/%{name}/${artifactId}-%{namedversion}/META-INF
  (cd %{buildroot}%{_javadocdir}/%{name} && ln -s ${artifactId}-%{namedversion} ${artifactId})
fi

done

                                                                                                     
%clean
rm -rf %{buildroot}
                                                                                                     
%post
%update_maven_depmap

%postun
%update_maven_depmap
                                                                                                     
%files
%defattr(0644,root,root,0755)
%{_javadir}*/*jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}

%changelog
* Wed Mar 20 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 2.1.0-2.Final_redhat_1
- Upgrade to 2.1.0.Final

* Tue Feb 19 2013 Lin Gao <lgao@redhat.com> - 2.1.0-1.CR12_redhat_1
- Upgrade to 2.1.0.CR12

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.3.1-3.CR1_redhat_1
- Rebuild for MD5

* Tue Sep 04 2012 Paul Gier <pgier@redhat.com> - 1.3.1-2.CR1_redhat_1
- Update pom patch to point to the current jboss-osgi-parent

* Thu Aug 16 2012 Lin Gao <lgao@redhat.com> - 1.3.1-1.CR1_redhat_1
- Upgrade to 1.3.1.CR1

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 1.3.0-1.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.3.0-1.Final_redhat_1.1
- Rebuild using cache signing

* Thu May 03 2012 Lin Gao <lgao@redhat.com> - 0:1.3.0-1.Final_redhat_1
- Upgrade to 1.3.0.Final

* Thu Mar 29 2012 Lin Gao <lgao@redhat.com> - 0:1.2.0.Beta1-1_redhat_1
- Upgrade to 1.2.0.Beta1

* Wed Mar 14 2012 Lin Gao <lgao@redhat.com> - 0:1.1.8.Final-1_redhat_1.1
- Rebuild for new wrapper

* Fri Mar 02 2012 Lin Gao <lgao@redhat.com> - 0:1.1.8.Final-1_redhat_1
- Upgrade to 1.1.8.Final

* Fri Feb 17 2012 Lin Gao <lgao@redhat.com> - 0:1.1.5-1_redhat_1
- Upgrade to 1.1.5
- Requires jpackage-utils in javadoc
- change jar location

* Fri Feb 10 2012 Lin Gao <lgao@redhat.com> - 0:1.1.0-3_redhat_1
- rebuild for wrapper rpm

* Fri Feb 10 2012 Lin Gao <lgao@redhat.com> - 0:1.1.0-2_redhat_1
- re vman for pom patch
- wrappter rpm from mead

* Tue Nov 1 2011 Lin Gao <lgao@redhat.com> - 0:1.1.0-1
- upgrade to 1.1.0

* Fri Sep 16 2011 Yong Yang <yyang@redhat.com> - 0:1.0.0-1.CR8
- First build

* Tue May 24 2011 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-1
- Placeholder
